<template>
  <div class="flex items-center">
    <TTool v-for="value in values" :key="value" @click="select(value)" :variant="{selected: (config.align == value)}">
      <Icon 
        :type="`align-${value}`"
         />
    </TTool>
  </div>
</template>

<script>
import mixin from '@components/edit-element-text/mixin'

export default {
  mixins: [ mixin ],
  data(){
    return {
      values: ['left', 'center', 'right']
    }
  },
  methods: {
    select(value){
      this.updateElementConfig({key: 'align', value })
    }
  }
}
</script>